package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesPullingOrderInfo;
import cn.estsh.i3plus.pojo.mes.bean.MesPullingOrderPartInfo;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @CreateDate 2024/09/12
 * @Author gsz
 */
public interface IMesPullingOrderInfoService {

    @ApiOperation(value = "查询拉动单")
    ListPager queryMesPullingOrderInfoByPager(MesPullingOrderInfo mesPullingOrderInfo, Pager pager);

    void doMesPullingOrderInfoScan(MesPullingOrderInfo mesPullingOrderInfo, String userName);
    MesPullingOrderPartInfo doMesPullingOrderInfoJisScan(MesPullingOrderPartInfo mesPullingOrderPartInfo, String userName);

    List<MesPullingOrderInfo> doMesPullingOrderInfoPrint(MesPullingOrderInfo mesPullingOrderInfo);

    List<MesPullingOrderInfo> doMesPullingOrderInfoPrintNew(MesPullingOrderInfo mesPullingOrderInfo);

    ListPager queryMesPullingOrderPartInfoByPager(MesPullingOrderInfo mesPullingOrderInfo, Pager pager);

    List<MesPullingOrderPartInfo> doMesPullingOrderInfoSend(List<MesPullingOrderPartInfo> infoList, String userName);

    MesPullingOrderInfo doSPSForEquipment100();

    String doSPSForEquipmentString100();

    MesPullingOrderInfo doSPSForEquipment200();

    String doSPSForEquipmentString200();

}
